import { OK } from "../shared/StatusMessage";
import Tile from "../shared/Tile";
import useApi from "../../hooks/useApi";
import useHealthPolling from "../../hooks/useHealthPolling";

const url = "https://rss.hiram.services";
const queryUrl = `${url}/unread-count/kirkleon`;
const ms = 1000 * 60 * 20;

const BunRSS = () => {
  const health = useHealthPolling(url, { ms });
  const [apiRes, data] = useApi(queryUrl, { ms });

  const message = health !== OK
                ? null
                : apiRes === OK
                ? `${data.unread} item(s) unread`
                : "Could not retrieve unread"
  return <Tile
    link={url}
    title="BunRSS"
    health={health}
    data={message}
  />
}

export default BunRSS;